Index: code/branches/presentationHS15/src/orxonox/controllers/DivisionController.h
===================================================================
--- code/branches/presentationHS15/src/orxonox/controllers/DivisionController.h	(revision 10974)
+++ code/branches/presentationHS15/src/orxonox/controllers/DivisionController.h	(revision 11025)
@@ -45,7 +45,7 @@
         public:
             //----[language demanded functions]----            
-            	DivisionController(Context* context);
+                DivisionController(Context* context);
 
-            	virtual ~DivisionController();
+                virtual ~DivisionController();
             //----[/language demanded functions]----            
 
Index: code/branches/presentationHS15/src/orxonox/controllers/FightingController.cc
===================================================================
--- code/branches/presentationHS15/src/orxonox/controllers/FightingController.cc	(revision 10974)
+++ code/branches/presentationHS15/src/orxonox/controllers/FightingController.cc	(revision 11025)
@@ -47,5 +47,5 @@
     FightingController::FightingController( Context* context ): FlyingController( context )
     {
-    	this->attackRange_ = 2500;
+        this->attackRange_ = 2500;
         this->stopLookingAtTarget();
         this->bSetupWorked = false;
Index: code/branches/presentationHS15/src/orxonox/worldentities/ExplosionPart.cc
===================================================================
--- code/branches/presentationHS15/src/orxonox/worldentities/ExplosionPart.cc	(revision 10974)
+++ code/branches/presentationHS15/src/orxonox/worldentities/ExplosionPart.cc	(revision 11025)
@@ -36,26 +36,26 @@
 {
 
-	RegisterClass(ExplosionPart);
-
-	ExplosionPart::ExplosionPart(Context* context) : MovableEntity(context)
-	{
-		RegisterObject(ExplosionPart);
-		this->bStop_ = false;
+    RegisterClass(ExplosionPart);
+
+    ExplosionPart::ExplosionPart(Context* context) : MovableEntity(context)
+    {
+        RegisterObject(ExplosionPart);
+        this->bStop_ = false;
         this->LOD_ = LODParticle::Normal;
-		this->mesh_ = "";
-		this->effect1_ = "";
-		this->effect2_ = "";
-		this->model_= new Model(this->getContext());
-		this->effect1Particle_= NULL;
-		this->effect2Particle_= NULL;
-		this->explosionEntity_ = new MovableEntity(this->getContext());
-		this->posOffset_ = Vector3::ZERO;
-
-
-
-	}
-
-
-	ExplosionPart::~ExplosionPart()
+        this->mesh_ = "";
+        this->effect1_ = "";
+        this->effect2_ = "";
+        this->model_= new Model(this->getContext());
+        this->effect1Particle_= NULL;
+        this->effect2Particle_= NULL;
+        this->explosionEntity_ = new MovableEntity(this->getContext());
+        this->posOffset_ = Vector3::ZERO;
+
+
+
+    }
+
+
+    ExplosionPart::~ExplosionPart()
     {
         if (this->isInitialized())
@@ -75,28 +75,28 @@
 
 
-	void ExplosionPart::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-	{
-		SUPER(ExplosionPart, XMLPort, xmlelement, mode);
-
-		XMLPortParam(ExplosionPart, "mesh", setMesh, getMesh, xmlelement, mode).defaultValues(""); //Define mesh file, that is going to fly out
-		XMLPortParam(ExplosionPart, "minspeed", setMinSpeed, getMinSpeed, xmlelement, mode).defaultValues(50); //Minimum velocity at which parts fly out
-		XMLPortParam(ExplosionPart, "maxspeed", setMaxSpeed, getMaxSpeed, xmlelement, mode).defaultValues(100); //Maximum velocity at which parts fly out, set both minspeed and maxspeed to 0 to have stationary effects
-		XMLPortParam(ExplosionPart, "effect1", setEffect1, getEffect1, xmlelement, mode).defaultValues(""); //particle effect 1
-		XMLPortParam(ExplosionPart, "effect2", setEffect2, getEffect2, xmlelement, mode).defaultValues(""); //particle effect 2
-		XMLPortParam(ExplosionPart, "offset", setOffset, getOffset, xmlelement, mode).defaultValues(Vector3::ZERO); //Offset of the position if you need to have an explosion off-center 
-		XMLPortParam(ExplosionPart, "direction", setDirection, getDirection, xmlelement, mode).defaultValues(Vector3(1,1,1)); //general direction the parts fly in
-		XMLPortParam(ExplosionPart, "angle", setAngle, getAngle, xmlelement, mode).defaultValues(180); //defines a cone shape with direction "direction" and angle "angle" inside which the parts fly out of
-		XMLPortParam(ExplosionPart, "delay", setDelay, getDelay, xmlelement, mode).defaultValues(0); //delay to the explosion in seconds
-	}
-
-
-	void ExplosionPart::Explode()
-	{
-		this->destroyTimer_.setTimer(delay_, false, createExecutor(createFunctor(&ExplosionPart::ActuallyExplode, this)));
-	}
-
-	void ExplosionPart::stop()
-	{
-		if (this->effect1Particle_)
+    void ExplosionPart::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(ExplosionPart, XMLPort, xmlelement, mode);
+
+        XMLPortParam(ExplosionPart, "mesh", setMesh, getMesh, xmlelement, mode).defaultValues(""); //Define mesh file, that is going to fly out
+        XMLPortParam(ExplosionPart, "minspeed", setMinSpeed, getMinSpeed, xmlelement, mode).defaultValues(50); //Minimum velocity at which parts fly out
+        XMLPortParam(ExplosionPart, "maxspeed", setMaxSpeed, getMaxSpeed, xmlelement, mode).defaultValues(100); //Maximum velocity at which parts fly out, set both minspeed and maxspeed to 0 to have stationary effects
+        XMLPortParam(ExplosionPart, "effect1", setEffect1, getEffect1, xmlelement, mode).defaultValues(""); //particle effect 1
+        XMLPortParam(ExplosionPart, "effect2", setEffect2, getEffect2, xmlelement, mode).defaultValues(""); //particle effect 2
+        XMLPortParam(ExplosionPart, "offset", setOffset, getOffset, xmlelement, mode).defaultValues(Vector3::ZERO); //Offset of the position if you need to have an explosion off-center
+        XMLPortParam(ExplosionPart, "direction", setDirection, getDirection, xmlelement, mode).defaultValues(Vector3(1,1,1)); //general direction the parts fly in
+        XMLPortParam(ExplosionPart, "angle", setAngle, getAngle, xmlelement, mode).defaultValues(180); //defines a cone shape with direction "direction" and angle "angle" inside which the parts fly out of
+        XMLPortParam(ExplosionPart, "delay", setDelay, getDelay, xmlelement, mode).defaultValues(0); //delay to the explosion in seconds
+    }
+
+
+    void ExplosionPart::Explode()
+    {
+        this->destroyTimer_.setTimer(delay_, false, createExecutor(createFunctor(&ExplosionPart::ActuallyExplode, this)));
+    }
+
+    void ExplosionPart::stop()
+    {
+        if (this->effect1Particle_)
             this->effect1Particle_->setEnabled(false);
         if (this->effect2Particle_)
@@ -110,32 +110,32 @@
             this->destroyTimer_.setTimer(1.0f, false, createExecutor(createFunctor(&ExplosionPart::destroy, this)));
         }
-	}
-
-	void ExplosionPart::ActuallyExplode()
-	{
-		this->model_->setVisible(true);
-
-		//this->explosionEntity_->setSyncMode(0);
-
-		//this->model_->setSyncMode(0);
-
-
-		if(effect1_ != "")
-		{
-			this->effect1Particle_ = new ParticleInterface(this->getScene()->getSceneManager(), effect1_, this->LOD_);
-			this->effect1Particle_->setDimensions(this->getScale());
-			this->model_->attachOgreObject(this->effect1Particle_->getParticleSystem());
-		}
-
-		if(effect2_ != "")
-		{
-			this->effect2Particle_ = new ParticleInterface(this->getScene()->getSceneManager(), effect2_, this->LOD_);
-			this->effect2Particle_->setDimensions(this->getScale());
-			this->model_->attachOgreObject(this->effect2Particle_->getParticleSystem());
-		}
-
-
-
-		
+    }
+
+    void ExplosionPart::ActuallyExplode()
+    {
+        this->model_->setVisible(true);
+
+        //this->explosionEntity_->setSyncMode(0);
+
+        //this->model_->setSyncMode(0);
+
+
+        if(effect1_ != "")
+        {
+            this->effect1Particle_ = new ParticleInterface(this->getScene()->getSceneManager(), effect1_, this->LOD_);
+            this->effect1Particle_->setDimensions(this->getScale());
+            this->model_->attachOgreObject(this->effect1Particle_->getParticleSystem());
+        }
+
+        if(effect2_ != "")
+        {
+            this->effect2Particle_ = new ParticleInterface(this->getScene()->getSceneManager(), effect2_, this->LOD_);
+            this->effect2Particle_->setDimensions(this->getScale());
+            this->model_->attachOgreObject(this->effect2Particle_->getParticleSystem());
+        }
+
+
+
+
         Vector3 velocityOffset = direction_.perpendicular();
         velocityOffset.normalise();
@@ -147,5 +147,5 @@
         Vector3 finalDirection = direction_ + sin((rnd(0, angle_))*M_PI/180)*velocityOffset;
 
-		this->explosionEntity_->setVelocity(finalDirection*rnd(minSpeed_,maxSpeed_));
+        this->explosionEntity_->setVelocity(finalDirection*rnd(minSpeed_,maxSpeed_));
         this->explosionEntity_->setAngularVelocity(Vector3(rnd(-1, 1), rnd(-1, 1), rnd(-1, 1)).normalisedCopy() * Degree(400).valueRadians());
         this->explosionEntity_->setScale(this->getScale() * 4);
@@ -161,98 +161,98 @@
             this->destroyTimer_.setTimer(rnd(2, 4), false, createExecutor(createFunctor(&ExplosionPart::stop, this)));
         }
-	}
-
-
-
-
-	void ExplosionPart::setMesh(const std::string& newString)
-	{
-		if(newString != "")
-		{
-			this->mesh_ = newString;
-			this->model_->setMeshSource(mesh_);
-			this->model_->setVisible(false);
-		}
-	}
-
-	void ExplosionPart::setEffect1(const std::string& newString)
-	{
-		this->effect1_ = newString;
-	}
-
-	void ExplosionPart::setEffect2(const std::string& newString)
-	{
-		this->effect2_ = newString;
-	}
-
-	void ExplosionPart::setMinSpeed(float speed)
-	{
-		this->minSpeed_ = speed;
-	}
-
-	void ExplosionPart::setMaxSpeed(float speed)
-	{
-		this->maxSpeed_ = speed;
-	}
-
-	void ExplosionPart::setOffset(Vector3 newVector)
-	{
-		this->posOffset_ = newVector;
-		this->explosionEntity_->setPosition(this->getPosition() + this->posOffset_ / this->getScale());
-	}
-
-	void ExplosionPart::setDirection(Vector3 newDirection)
-	{
-		this->direction_ = newDirection;
-	}
-
-	void ExplosionPart::setAngle(float newAngle)
-	{
-		this->angle_ = newAngle;
-	}
-
-	void ExplosionPart::setDelay(float newDelay)
-	{
-		this->delay_ = newDelay;
-	}
-
-	std::string& ExplosionPart::getMesh()
-	{ return this->mesh_; }
-
-	std::string& ExplosionPart::getEffect1()
-	{ return this->effect1_; }
-
-	std::string& ExplosionPart::getEffect2()
-	{ return this->effect2_; }
-
-	float ExplosionPart::getMinSpeed()
-	{
-		return this->minSpeed_;
-	}
-
-	float ExplosionPart::getMaxSpeed()
-	{
-		return this->maxSpeed_;
-	}
-
-	Vector3 ExplosionPart::getOffset()
-	{
-		return this->posOffset_;
-	}
-
-	Vector3 ExplosionPart::getDirection()
-	{
-		return direction_;
-	}
-
-	float ExplosionPart::getAngle()
-	{
-		return angle_;
-	}
-
-	float ExplosionPart::getDelay()
-	{
-		return delay_;
-	}
+    }
+
+
+
+
+    void ExplosionPart::setMesh(const std::string& newString)
+    {
+        if(newString != "")
+        {
+            this->mesh_ = newString;
+            this->model_->setMeshSource(mesh_);
+            this->model_->setVisible(false);
+        }
+    }
+
+    void ExplosionPart::setEffect1(const std::string& newString)
+    {
+        this->effect1_ = newString;
+    }
+
+    void ExplosionPart::setEffect2(const std::string& newString)
+    {
+        this->effect2_ = newString;
+    }
+
+    void ExplosionPart::setMinSpeed(float speed)
+    {
+        this->minSpeed_ = speed;
+    }
+
+    void ExplosionPart::setMaxSpeed(float speed)
+    {
+        this->maxSpeed_ = speed;
+    }
+
+    void ExplosionPart::setOffset(Vector3 newVector)
+    {
+        this->posOffset_ = newVector;
+        this->explosionEntity_->setPosition(this->getPosition() + this->posOffset_ / this->getScale());
+    }
+
+    void ExplosionPart::setDirection(Vector3 newDirection)
+    {
+        this->direction_ = newDirection;
+    }
+
+    void ExplosionPart::setAngle(float newAngle)
+    {
+        this->angle_ = newAngle;
+    }
+
+    void ExplosionPart::setDelay(float newDelay)
+    {
+        this->delay_ = newDelay;
+    }
+
+    std::string& ExplosionPart::getMesh()
+    { return this->mesh_; }
+
+    std::string& ExplosionPart::getEffect1()
+    { return this->effect1_; }
+
+    std::string& ExplosionPart::getEffect2()
+    { return this->effect2_; }
+
+    float ExplosionPart::getMinSpeed()
+    {
+        return this->minSpeed_;
+    }
+
+    float ExplosionPart::getMaxSpeed()
+    {
+        return this->maxSpeed_;
+    }
+
+    Vector3 ExplosionPart::getOffset()
+    {
+        return this->posOffset_;
+    }
+
+    Vector3 ExplosionPart::getDirection()
+    {
+        return direction_;
+    }
+
+    float ExplosionPart::getAngle()
+    {
+        return angle_;
+    }
+
+    float ExplosionPart::getDelay()
+    {
+        return delay_;
+    }
 
 
Index: code/branches/presentationHS15/src/orxonox/worldentities/ExplosionPart.h
===================================================================
--- code/branches/presentationHS15/src/orxonox/worldentities/ExplosionPart.h	(revision 10974)
+++ code/branches/presentationHS15/src/orxonox/worldentities/ExplosionPart.h	(revision 11025)
@@ -82,6 +82,6 @@
 
 
-        	Model* model_;
-        	ParticleInterface* effect1Particle_;
+            Model* model_;
+            ParticleInterface* effect1Particle_;
             ParticleInterface* effect2Particle_;
 
@@ -89,6 +89,6 @@
             float minSpeed_;
             float maxSpeed_;
-        	std::string mesh_;
-        	std::string effect1_;
+            std::string mesh_;
+            std::string effect1_;
             std::string effect2_;
             Vector3 posOffset_;
@@ -101,5 +101,5 @@
             Timer destroyTimer_;
 
-        	
+
 
     };