Index: /code/branches/presentationHS15/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- /code/branches/presentationHS15/src/orxonox/controllers/ArtificialController.cc	(revision 11027)
+++ /code/branches/presentationHS15/src/orxonox/controllers/ArtificialController.cc	(revision 11028)
@@ -94,7 +94,7 @@
             return;
 
-        static const float hardcoded_projectile_speed = 750;
-
-        this->targetPosition_ = getPredictedPosition(this->getControllableEntity()->getWorldPosition(), hardcoded_projectile_speed, this->target_->getWorldPosition(), this->target_->getVelocity());
+        static const float HARDCODED_PROJECTILE_SPEED = 750;
+
+        this->targetPosition_ = getPredictedPosition(this->getControllableEntity()->getWorldPosition(), HARDCODED_PROJECTILE_SPEED, this->target_->getWorldPosition(), this->target_->getVelocity());
         this->bHasTargetPosition_ = (this->targetPosition_ != Vector3::ZERO);
 
Index: /code/branches/presentationHS15/src/orxonox/controllers/CommonController.cc
===================================================================
--- /code/branches/presentationHS15/src/orxonox/controllers/CommonController.cc	(revision 11027)
+++ /code/branches/presentationHS15/src/orxonox/controllers/CommonController.cc	(revision 11028)
@@ -38,4 +38,5 @@
 namespace orxonox
 {
+    const float CommonController::HARDCODED_PROJECTILE_SPEED = 750;
 
     RegisterClass(CommonController);
Index: /code/branches/presentationHS15/src/orxonox/controllers/CommonController.h
===================================================================
--- /code/branches/presentationHS15/src/orxonox/controllers/CommonController.h	(revision 11027)
+++ /code/branches/presentationHS15/src/orxonox/controllers/CommonController.h	(revision 11028)
@@ -45,5 +45,5 @@
 
         public:
-            static const float hardcoded_projectile_speed = 750;        //<! FightingController uses it to predict enemy position
+            static const float HARDCODED_PROJECTILE_SPEED; //<! FightingController uses it to predict enemy position
 
             CommonController(Context* context);
Index: /code/branches/presentationHS15/src/orxonox/controllers/FightingController.cc
===================================================================
--- /code/branches/presentationHS15/src/orxonox/controllers/FightingController.cc	(revision 11027)
+++ /code/branches/presentationHS15/src/orxonox/controllers/FightingController.cc	(revision 11028)
@@ -206,5 +206,5 @@
             return false;
         Vector3 newPositionOfTarget = getPredictedPosition(this->getControllableEntity()->getWorldPosition(), 
-                                                           hardcoded_projectile_speed, this->target_->getWorldPosition(), 
+                                                           HARDCODED_PROJECTILE_SPEED, this->target_->getWorldPosition(),
                                                            this->target_->getVelocity());
         if (!this->target_ || !this->getControllableEntity())
Index: /code/branches/presentationHS15/src/orxonox/controllers/FlyingController.cc
===================================================================
--- /code/branches/presentationHS15/src/orxonox/controllers/FlyingController.cc	(revision 11027)
+++ /code/branches/presentationHS15/src/orxonox/controllers/FlyingController.cc	(revision 11028)
@@ -37,4 +37,7 @@
 namespace orxonox
 {    
+    const float FlyingController::SPEED = 0.9f/0.02f;
+    const float FlyingController::ROTATEFACTOR = 0.6f/0.02f;
+
     RegisterClass (FlyingController);
     
Index: /code/branches/presentationHS15/src/orxonox/controllers/FlyingController.h
===================================================================
--- /code/branches/presentationHS15/src/orxonox/controllers/FlyingController.h	(revision 11027)
+++ /code/branches/presentationHS15/src/orxonox/controllers/FlyingController.h	(revision 11028)
@@ -53,6 +53,6 @@
 
         public:
-            static const float SPEED = 0.9f/0.02f;              //<! ship's speed
-            static const float ROTATEFACTOR = 0.6f/0.02f;       //<! ship's rotation factor
+            static const float SPEED;              //<! ship's speed
+            static const float ROTATEFACTOR;       //<! ship's rotation factor
  
             FlyingController(Context* context);