Index: code/branches/presentationHS15/src/modules/hover/FlagHUD.cc
===================================================================
--- code/branches/presentationHS15/src/modules/hover/FlagHUD.cc	(revision 11029)
+++ code/branches/presentationHS15/src/modules/hover/FlagHUD.cc	(revision 11030)
@@ -69,5 +69,5 @@
             this->panel_->_getRelativeHeight()
             );
-        this->panel_->setTiling(flagCount, 1.0f);
+        this->panel_->setTiling(flagCount*1.0f, 1.0f);
 
         this->flagCount_ = flagCount;
Index: code/branches/presentationHS15/src/modules/hover/HoverFlag.cc
===================================================================
--- code/branches/presentationHS15/src/modules/hover/HoverFlag.cc	(revision 11029)
+++ code/branches/presentationHS15/src/modules/hover/HoverFlag.cc	(revision 11030)
@@ -74,5 +74,5 @@
         model_->setMeshSource("ss_flag_eu.mesh");
         model_->setScale3D(Vector3(5, 5, 5));
-        model_->setPosition(Vector3(xCoordinate*100 + 50,10,yCoordinate*100 + 50));
+        model_->setPosition(Vector3(xCoordinate*100.0f + 50.0f,10.0f,yCoordinate*100.0f + 50.0f));
 
         this->attach(model_);
@@ -84,5 +84,5 @@
         cs_ = new BoxCollisionShape(context);
         cs_->setHalfExtents(Vector3(5, 5, 5));
-        cs_->setPosition(Vector3(xCoordinate*100 + 50,0,yCoordinate*100 + 50));
+        cs_->setPosition(Vector3(xCoordinate*100.0f + 50.0f,0.0f,yCoordinate*100.0f + 50.0f));
 
         this->attachCollisionShape(cs_);
Index: code/branches/presentationHS15/src/modules/hover/HoverWall.cc
===================================================================
--- code/branches/presentationHS15/src/modules/hover/HoverWall.cc	(revision 11029)
+++ code/branches/presentationHS15/src/modules/hover/HoverWall.cc	(revision 11030)
@@ -87,6 +87,6 @@
         model_ = new Model(context);
         model_->setMeshSource("CuboidBody.mesh");
-        model_->setScale3D(Vector3(xSize_, 30, zSize_));
-        model_->setPosition(Vector3(xPos_,0,zPos_));
+        model_->setScale3D(Vector3(xSize_*1.0f, 30.0f, zSize_*1.0f));
+        model_->setPosition(Vector3(xPos_*1.0f, 0.0f, zPos_*1.0f));
 
         this->attach(model_);
@@ -97,6 +97,6 @@
 
         cs_ = new BoxCollisionShape(context);
-        cs_->setHalfExtents(Vector3(xSize_, 30, zSize_));
-        cs_->setPosition(Vector3(xPos_,0,zPos_));
+        cs_->setHalfExtents(Vector3(xSize_*1.0f, 30.0f, zSize_*1.0f));
+        cs_->setPosition(Vector3(xPos_*1.0f, 0.0f, zPos_*1.0f));
 
         this->attachCollisionShape(cs_);
Index: code/branches/presentationHS15/src/orxonox/controllers/SectionController.cc
===================================================================
--- code/branches/presentationHS15/src/orxonox/controllers/SectionController.cc	(revision 11029)
+++ code/branches/presentationHS15/src/orxonox/controllers/SectionController.cc	(revision 11030)
@@ -192,10 +192,10 @@
             case FormationMode::WALL:
             {
-                targetRelativePosition = new Vector3 (-2*this->spread_, 0, 0);   
+                targetRelativePosition = new Vector3 (-2.0f*this->spread_, 0, 0);   
                 break;
             }
             case FormationMode::FINGER4: 
             {
-                targetRelativePosition = new Vector3 (-2*this->spread_, 0, this->spread_);   
+                targetRelativePosition = new Vector3 (-2.0f*this->spread_, 0, 1.0f*this->spread_);   
                 break;
             }
@@ -203,5 +203,5 @@
             case FormationMode::DIAMOND: 
             {
-                targetRelativePosition = new Vector3 (-2*this->spread_, 0, this->spread_);                   
+                targetRelativePosition = new Vector3 (-2.0f*this->spread_, 0, 1.0f*this->spread_);
                 break;
             }
Index: code/branches/presentationHS15/src/orxonox/controllers/WingmanController.cc
===================================================================
--- code/branches/presentationHS15/src/orxonox/controllers/WingmanController.cc	(revision 11029)
+++ code/branches/presentationHS15/src/orxonox/controllers/WingmanController.cc	(revision 11030)
@@ -132,15 +132,15 @@
                 case FormationMode::WALL:
                 {
-                    targetRelativePosition = new Vector3 (2*this->spread_, 0, 0 - this->tolerance_);  
+                    targetRelativePosition = new Vector3 (2.0f*this->spread_, 0, 0 - 1.0f*this->tolerance_);
                     break;
                 }
                 case FormationMode::FINGER4: 
                 {
-                    targetRelativePosition = new Vector3 (2*this->spread_, 0, this->spread_ - this->tolerance_);  
+                    targetRelativePosition = new Vector3 (2.0f*this->spread_, 0, this->spread_ - 1.0f*this->tolerance_);
                     break;
                 }
                 case FormationMode::DIAMOND: 
                 {
-                    targetRelativePosition = new Vector3 (2*this->spread_, 0, this->spread_ - this->tolerance_);                  
+                    targetRelativePosition = new Vector3 (2.0f*this->spread_, 0, this->spread_ - 1.0f*this->tolerance_);
                     break;
                 }
@@ -152,15 +152,15 @@
                 case FormationMode::WALL:
                 {
-                    targetRelativePosition = new Vector3 (-2*this->spread_, 0, 0 - this->tolerance_);  
+                    targetRelativePosition = new Vector3 (-2.0f*this->spread_, 0, 0 - 1.0f*this->tolerance_);
                     break;
                 }
                 case FormationMode::FINGER4: 
                 {
-                    targetRelativePosition = new Vector3 (-2*this->spread_, 0, this->spread_ - this->tolerance_);  
+                    targetRelativePosition = new Vector3 (-2.0f*this->spread_, 0, this->spread_ - 1.0f*this->tolerance_);
                     break;
                 }
                 case FormationMode::DIAMOND: 
                 {
-                    targetRelativePosition = new Vector3 (2*this->spread_, -this->spread_, 0 - this->tolerance_);                  
+                    targetRelativePosition = new Vector3 (2.0f*this->spread_, -1.0f*this->spread_, 0 - 1.0f*this->tolerance_);
                     break;
                 }
Index: code/branches/presentationHS15/src/orxonox/weaponsystem/ReplenishingMunition.h
===================================================================
--- code/branches/presentationHS15/src/orxonox/weaponsystem/ReplenishingMunition.h	(revision 11029)
+++ code/branches/presentationHS15/src/orxonox/weaponsystem/ReplenishingMunition.h	(revision 11030)
@@ -57,5 +57,5 @@
             
             virtual float getProgress();
-            inline float getReplenishAmount() const
+            inline unsigned int getReplenishAmount() const
                 { return replenishAmount_; }
             inline float getReplenishInterval() const